---
title: PresentationRequest.start()
slug: Web/API/PresentationRequest/start
tags:
  - Experimental
  - Method
  - Presentation API
  - PresentationRequest
  - Reference
  - start()
---
<p>{{APIRef("Presentation API")}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The <strong><code>start()</code></strong> property of the {{domxref("PresentationRequest")}} interface returns a {{jsxref("Promise")}} that resolves with a {{domxref("PresentationConnection")}} after the user agent prompts the user to select a display and grant permission to use that display.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>promise</em> = <em>presentationRequest</em>.start()
promise.then(function(PresentationConnection) { ... })
       .catch(function(error) { ...})</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value"><span style='background-color: #333333; color: #ffffff; font-family: x-locale-heading-primary,zillaslab,Palatino,"Palatino Linotype",x-locale-heading-secondary,serif; font-size: 1.5rem;'>Return value</span></h3>

<p>A {{jsxref("Promise")}} that resolves with a {{domxref("PresentationConnection")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Presentation','#dom-presentationrequest-start','start()')}}</td>
   <td>{{Spec2('Presentation')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.PresentationRequest.start")}}</p>
